/*
 * Copyright 2012 ancoron.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ancoron.postgresql.jpa.test.purejpa;

import java.io.Serializable;
import java.net.InetAddress;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.MappedSuperclass;
import javax.persistence.SequenceGenerator;
import org.postgresql.net.PGcidr;
import org.postgresql.net.PGmacaddr;

/**
 *
 * @author ancoron
 */
@MappedSuperclass
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
@SequenceGenerator(name = "sequence", sequenceName = "seq_purejpa")
public abstract class AbstractNoConvEntity implements Serializable {
    
    @Id
    @GeneratedValue(generator = "sequence")
    @Column(name="c_id")
    public Long id;

    @Column(name="c_inet_addr")
    public InetAddress inetAddr;

    @Column(name="c_cidr")
    public PGcidr cidr;

    @Column(name="c_macaddr")
    public PGmacaddr macaddr;
}
